### Hierarchy

- IFlowNodeHandler

### Implemented by

- EndEventHandler
- ErrorBoundaryEventHandler
- ExclusiveGatewayHandler
- FlowNodeHandler
- GatewayHandler
- IntermedtiateCatchEventHandler
- ParallelGatewayHandler
- ScriptTaskHandler
- ServiceTaskHandler
- StartEventHandler

## Index

### Methods

- execute

## Methods

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- - Defined in execution/handler/iflow_node_handler.ts:6

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

Generated using TypeDoc